/* Para POV 2.0. La escena se hizo creando cada objecto por separado en MORAY
y luego uniendo todo. Los 2 cuadros son dos dibujos hechos con POV, y sus 
nombres son ajedrez y quimica. La escena tarda sobre un 486 DX4-100, usando
Povray  y a 800x600 y +a0.65 tarda 53 minutos, y usando el area de luz y +a.6 
4 horas 20 minutos.  Tuve que renderizarla con Povray y no con FTPov porque 
usando esta ultima me daba errores en resoluciones altas.

Autor: Raul Oca;a Rodriguez
Fecha de creacion : 3-11-1995. Tiempo de creacion :  3 dias.
*/

camera {  //  Camera StdCam
  location  <7, -30, 7>
  direction <0.0,     0.0,  1.5>
  sky       <0.0,     0.0,  1.0>
  up        <0.0,     0.0,  1.0>
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, 1.000, 0.000>
}

light_source { <25, 30, 25>  color rgb <.8, .8, .8>}

light_source{ <-15, -30, 25>  color rgb <1, 1, 1>}

light_source{  <0, 30, 25>  color rgb <1, 1, 1>}

light_source{ <0, -7, 25> color rgb <.7, .7, .7>}

light_source{ <0, 0, 20> color rgb <1, 1, 1> 
   area_light <30, 0, 0> <0, 20, 0>, 5, 5
   adaptive 1
   jitter
}

#include "TEXTURAS.INC"
#include "VELA.INC"
#include "APLIQUE.INC"
#include "SILLA.INC"
#include "ADORNO.INC"

box{//PARED IZQ
  <-1, -1, -1>, <1, 1, 1>
  texture{ Pared }
  scale< .1, 22, 10>
  translate<-15, 10, 2>
}

box{//PARED FRENTE
  <-1, -1, -1>, <1, 1, 1>
  texture { Pared }
  scale<23, .1, 12>
  translate <0, 30, 0>
}

box{//SUELO
  <-1, -1, 1>, <1, 1, 1>
  texture { Suelo scale <.7, .7, .1> }
  scale <14, 15, .1>
  translate <3, 1, -4.8>
}

box{//CUADRO
  <-1, -1, -1>, <1, 1, 1>
  texture { Cuadro1 }
  scale <5, .1, 4>
  translate <5, 29.9, 4>
}

box {// MARCO
  <-1, -1, -1>, <1, 1, 1>
  texture { Mesa scale <2.7, .1, 1.75> }
  scale <6, .1, 5>
  translate <5, 29.91, 4>}

box{//CUADRO
  <-1, -1, -1>, <1, 1, 1>
  texture { Cuadro2 }
  scale <5, .1, 4>
  rotate <0, 0, 90> 
  translate <-14.9, 8, 4>}

box {//MARCO
  <-1, -1, -1>, <1, 1, 1>
   texture { Mesa scale <2.7, .1, 1.75> }
   scale <6, .1, 5>
   rotate <0, 0, 90>
   translate <-14.91, 8, 4>}

box {//RODAPIE
  <-1, -1, -1>, <1, 1, 1>
  texture { Rodapie scale <.1, 11, .3> }
  scale <.2, 21, 1>
  translate <-14.9, 10 , -7.1>
}

box {//RODAPIE
  <-1, -1, -1>, <1, 1, 1>
  texture { Rodapie rotate <0, 0, 90> scale <11, .1, .3> }
  scale <22, .2, 1>
  translate <0, 29.9, -7.1>}

cylinder {   // MESA
  <0,0,1>, <0,0,0>, 1
  texture { Mesa }
  scale <4, 13, 0.3>
  translate <2, 0, 0>
}

object { SILLA rotate <0, 0, -30> translate <4, -6, -2.5> }
object { SILLA rotate <0, 0, 200> translate <-1.7, -6, -2.5> }
object { SILLA rotate <0, 0, 20> translate <5, 3.5, -2.5> }
object { SILLA rotate <0, 0, -200> translate <-1.7, 3.5, -2.5> }
object { SILLA rotate <0, 0, 90> translate <2, 11.5, -2.5> }
object { SILLA rotate <0, 0, -90> translate <2, -11.5, -2.5> } 

object { APLIQUE scale <1.5, 1.5, 1.5> translate <-11, 2, 9> }
object { APLIQUE rotate <0, 0, 90> scale <1.5, 1.5, 1.5> translate <5, 24.5, 9.3> no_shadow}

object { CANDELABRO rotate <0, 0, 30> scale <.7, .7, .65> translate <2, -10, 2.7> }
object { CANDELABRO rotate <0, 0, -30> scale <.8, .8, .65> translate <2, 6, 2.7> }

object { ADORNO  rotate <0, 0, 60> scale <.7, .7, .7> translate <2.2, -3, 1> }